<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="17701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="2vl-Ph-mNM">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17703"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Че глянуть?-->
        <scene sceneID="i1I-H0-7UL">
            <objects>
                <tableViewController id="e1Q-vE-drg" customClass="FilmTableViewController" customModule="Че_глянуть_" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" allowsSelection="NO" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="ZoQ-Ce-qm0">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" restorationIdentifier="FilmTableViewCell" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="FilmTableViewCell" rowHeight="733" id="LfT-Hg-lCK" customClass="FilmTableViewCell" customModule="Че_глянуть_" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="28" width="414" height="733"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="LfT-Hg-lCK" id="1wA-4x-oyq">
                                    <rect key="frame" x="0.0" y="0.0" width="414" height="733"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="eyes" catalog="system" translatesAutoresizingMaskIntoConstraints="NO" id="yZu-op-uKz">
                                            <rect key="frame" x="30" y="44" width="125" height="173.5"/>
                                            <constraints>
                                                <constraint firstAttribute="height" constant="176" id="QQ3-f2-oWK"/>
                                                <constraint firstAttribute="width" constant="125" id="gD5-Z2-pt6"/>
                                            </constraints>
                                        </imageView>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="252" text="Название фильма" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="rDe-sF-xhV">
                                            <rect key="frame" x="10" y="10" width="394" height="23"/>
                                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="19"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="bottom" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Краткое описание" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" minimumScaleFactor="0.5" translatesAutoresizingMaskIntoConstraints="NO" id="zDu-x6-2Me">
                                            <rect key="frame" x="30" y="229" width="374" height="439"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <color key="textColor" systemColor="secondaryLabelColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="star" catalog="system" translatesAutoresizingMaskIntoConstraints="NO" id="pBw-9o-6X3">
                                            <rect key="frame" x="188" y="47.5" width="38" height="38"/>
                                            <color key="tintColor" systemColor="systemYellowColor"/>
                                            <constraints>
                                                <constraint firstAttribute="height" constant="38" id="VMx-LR-pH3"/>
                                                <constraint firstAttribute="width" constant="38" id="skF-3g-XzB"/>
                                            </constraints>
                                        </imageView>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Год выпуска:" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="uT9-L9-eYn">
                                            <rect key="frame" x="185" y="94" width="106" height="21"/>
                                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="17"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0.0" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qx9-rb-3Ef">
                                            <rect key="frame" x="236" y="56" width="28" height="22"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="20"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="2000" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="kGf-Zf-UOm">
                                            <rect key="frame" x="217.5" y="123" width="41" height="21"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <button opaque="NO" contentMode="center" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="wordWrap" id="SuM-wy-EwQ">
                                            <rect key="frame" x="0.0" y="678" width="414" height="44"/>
                                            <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMaxX="YES" flexibleMinY="YES" flexibleMaxY="YES"/>
                                            <color key="backgroundColor" systemColor="systemTealColor"/>
                                            <state key="normal" title="Не, фигня, хочу другой."/>
                                            <connections>
                                                <action selector="newFilm:" destination="e1Q-vE-drg" eventType="touchUpInside" id="NJd-QM-g2n"/>
                                            </connections>
                                        </button>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Жанры:" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Gr2-Fq-dSS">
                                            <rect key="frame" x="185" y="152" width="65.5" height="21"/>
                                            <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="17"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="триллер" textAlignment="center" lineBreakMode="wordWrap" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="6II-Vn-MrC">
                                            <rect key="frame" x="163" y="181" width="243" height="20.5"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                    </subviews>
                                    <constraints>
                                        <constraint firstItem="pBw-9o-6X3" firstAttribute="top" secondItem="rDe-sF-xhV" secondAttribute="bottom" constant="15" id="0BW-96-tEM"/>
                                        <constraint firstItem="zDu-x6-2Me" firstAttribute="trailing" secondItem="1wA-4x-oyq" secondAttribute="trailingMargin" constant="10" id="15F-0C-4vw"/>
                                        <constraint firstItem="rDe-sF-xhV" firstAttribute="top" secondItem="1wA-4x-oyq" secondAttribute="top" constant="10" id="56R-kh-7eu"/>
                                        <constraint firstItem="SuM-wy-EwQ" firstAttribute="top" secondItem="zDu-x6-2Me" secondAttribute="bottom" constant="10" id="9vX-or-AqV"/>
                                        <constraint firstItem="Gr2-Fq-dSS" firstAttribute="leading" secondItem="yZu-op-uKz" secondAttribute="trailing" constant="30" id="AZO-ga-n5F"/>
                                        <constraint firstItem="qx9-rb-3Ef" firstAttribute="leading" secondItem="pBw-9o-6X3" secondAttribute="trailing" constant="10" id="BxZ-pv-cEJ"/>
                                        <constraint firstItem="Gr2-Fq-dSS" firstAttribute="top" secondItem="kGf-Zf-UOm" secondAttribute="bottom" constant="8" id="FTR-NT-5U6"/>
                                        <constraint firstAttribute="trailing" secondItem="6II-Vn-MrC" secondAttribute="trailing" constant="8" id="IUb-vV-paO"/>
                                        <constraint firstItem="zDu-x6-2Me" firstAttribute="top" secondItem="yZu-op-uKz" secondAttribute="bottom" constant="10" id="Ji3-qi-IsJ"/>
                                        <constraint firstItem="qx9-rb-3Ef" firstAttribute="top" secondItem="rDe-sF-xhV" secondAttribute="bottom" constant="23" id="Mip-ft-K75"/>
                                        <constraint firstItem="6II-Vn-MrC" firstAttribute="leading" secondItem="yZu-op-uKz" secondAttribute="trailing" constant="8" id="P9C-MZ-Yto"/>
                                        <constraint firstItem="yZu-op-uKz" firstAttribute="leading" secondItem="1wA-4x-oyq" secondAttribute="leading" constant="30" id="PNi-Ms-J4o"/>
                                        <constraint firstItem="qx9-rb-3Ef" firstAttribute="centerY" secondItem="pBw-9o-6X3" secondAttribute="centerY" id="W47-3l-uH9"/>
                                        <constraint firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="Gr2-Fq-dSS" secondAttribute="trailing" constant="20" symbolic="YES" id="WWp-uK-s1M"/>
                                        <constraint firstItem="kGf-Zf-UOm" firstAttribute="centerX" secondItem="uT9-L9-eYn" secondAttribute="centerX" id="WuN-m7-9Xb"/>
                                        <constraint firstItem="uT9-L9-eYn" firstAttribute="top" secondItem="pBw-9o-6X3" secondAttribute="bottom" constant="8" id="Ykm-Me-gKF"/>
                                        <constraint firstItem="yZu-op-uKz" firstAttribute="top" secondItem="rDe-sF-xhV" secondAttribute="bottom" constant="10" id="aAc-7T-0sU"/>
                                        <constraint firstItem="6II-Vn-MrC" firstAttribute="top" secondItem="Gr2-Fq-dSS" secondAttribute="bottom" constant="8" id="clb-cn-FMx"/>
                                        <constraint firstAttribute="trailing" secondItem="rDe-sF-xhV" secondAttribute="trailing" constant="10" id="cze-4N-UAZ"/>
                                        <constraint firstItem="rDe-sF-xhV" firstAttribute="leading" secondItem="1wA-4x-oyq" secondAttribute="leading" constant="10" id="f2Z-xn-ekG"/>
                                        <constraint firstItem="kGf-Zf-UOm" firstAttribute="top" secondItem="uT9-L9-eYn" secondAttribute="bottom" constant="8" id="fqr-Ci-cyo"/>
                                        <constraint firstItem="zDu-x6-2Me" firstAttribute="leading" secondItem="1wA-4x-oyq" secondAttribute="leadingMargin" constant="10" id="kX9-1V-j9p"/>
                                        <constraint firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="qx9-rb-3Ef" secondAttribute="trailing" constant="20" symbolic="YES" id="tMv-Es-xRh"/>
                                        <constraint firstItem="uT9-L9-eYn" firstAttribute="leading" secondItem="yZu-op-uKz" secondAttribute="trailing" constant="30" id="tfc-Am-pRc"/>
                                        <constraint firstItem="pBw-9o-6X3" firstAttribute="leading" secondItem="yZu-op-uKz" secondAttribute="trailing" constant="33" id="wIR-Be-yKo"/>
                                    </constraints>
                                </tableViewCellContentView>
                                <connections>
                                    <outlet property="genresLbl" destination="6II-Vn-MrC" id="Nfl-6E-hAo"/>
                                    <outlet property="name" destination="rDe-sF-xhV" id="b9T-1D-tVH"/>
                                    <outlet property="overview" destination="zDu-x6-2Me" id="kX6-9Y-dvH"/>
                                    <outlet property="poster" destination="yZu-op-uKz" id="dSt-La-lye"/>
                                    <outlet property="rateLbl" destination="qx9-rb-3Ef" id="HE5-P5-tLt"/>
                                    <outlet property="yearLbl" destination="kGf-Zf-UOm" id="F7n-EI-j1h"/>
                                </connections>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="e1Q-vE-drg" id="giA-sb-Dte"/>
                            <outlet property="delegate" destination="e1Q-vE-drg" id="CoX-cv-jS6"/>
                        </connections>
                    </tableView>
                    <navigationItem key="navigationItem" title="Че глянуть?" id="qdR-S6-Ngr">
                        <barButtonItem key="rightBarButtonItem" systemItem="play" id="fTS-DG-Mtq">
                            <connections>
                                <action selector="goToImdb:" destination="e1Q-vE-drg" id="7Sx-V7-wmB"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                    <connections>
                        <outlet property="filmTableView" destination="ZoQ-Ce-qm0" id="Zeg-DS-wQU"/>
                    </connections>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Dl6-iK-w3K" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-255.07246376811597" y="124.55357142857142"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="xfM-Ke-YLr">
            <objects>
                <navigationController storyboardIdentifier="Navigation" id="2vl-Ph-mNM" sceneMemberID="viewController">
                    <navigationBar key="navigationBar" contentMode="scaleToFill" id="Sie-Qn-W7H">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <connections>
                        <segue destination="e1Q-vE-drg" kind="relationship" relationship="rootViewController" id="0EW-Q3-Ciy"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="aEs-v5-gaZ" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-1155" y="125"/>
        </scene>
    </scenes>
    <resources>
        <image name="eyes" catalog="system" width="128" height="99"/>
        <image name="star" catalog="system" width="128" height="116"/>
        <systemColor name="secondaryLabelColor">
            <color red="0.23529411764705882" green="0.23529411764705882" blue="0.2627450980392157" alpha="0.59999999999999998" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemTealColor">
            <color red="0.35294117647058826" green="0.78431372549019607" blue="0.98039215686274506" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemYellowColor">
            <color red="1" green="0.80000000000000004" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
